package com.steerinfo.ems.coredasabnormalinfo.model;

import com.steerinfo.framework.model.IBasePO;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import java.util.Date;

@ApiModel(value="实时数据异常信息表")
public class CoredasAbnormalInfo implements IBasePO<String> {
    /**
     * 序号主键 SEQ_COREDAS_ABNORMAL_INFO.Nextval(NO,VARCHAR,20)
     */
    @ApiModelProperty(value="序号主键 SEQ_COREDAS_ABNORMAL_INFO.Nextval",required=true)
    private String no;

    /**
     * 表名.字段名(TAB_COL,VARCHAR,100)
     */
    @ApiModelProperty(value="表名.字段名",required=true)
    private String tabCol;

    /**
     * 字段名中文描述(COL_NAME,VARCHAR,100)
     */
    @ApiModelProperty(value="字段名中文描述",required=true)
    private String colName;

    /**
     * 异常实时数据(DATA_S,FLOAT,126)
     */
    @ApiModelProperty(value="异常实时数据",required=true)
    private Double dataS;

    /**
     * 标准数据上限(DATA_UP,FLOAT,126)
     */
    @ApiModelProperty(value="标准数据上限",required=true)
    private Double dataUp;

    /**
     * 标准数据下限(DATA_DOWN,FLOAT,126)
     */
    @ApiModelProperty(value="标准数据下限",required=true)
    private Double dataDown;

    /**
     * 超上限/超下限(OVER_STANDARD,VARCHAR,10)
     */
    @ApiModelProperty(value="超上限/超下限",required=true)
    private String overStandard;

    /**
     * 业务发生时间(DATE_S,TIMESTAMP,7)
     */
    @ApiModelProperty(value="业务发生时间",required=true)
    private Date dateS;

    private static final long serialVersionUID = 1L;

    @Override
    public String getId() {
        return this.no;
    }

    @Override
    public void setId(String no) {
        this.no = no == null ? null : no.trim();
    }

    public String getNo() {
        return no;
    }

    public void setNo(String no) {
        this.no = no == null ? null : no.trim();
    }

    public String getTabCol() {
        return tabCol;
    }

    public void setTabCol(String tabCol) {
        this.tabCol = tabCol == null ? null : tabCol.trim();
    }

    public String getColName() {
        return colName;
    }

    public void setColName(String colName) {
        this.colName = colName == null ? null : colName.trim();
    }

    public Double getDataS() {
        return dataS;
    }

    public void setDataS(Double dataS) {
        this.dataS = dataS;
    }

    public Double getDataUp() {
        return dataUp;
    }

    public void setDataUp(Double dataUp) {
        this.dataUp = dataUp;
    }

    public Double getDataDown() {
        return dataDown;
    }

    public void setDataDown(Double dataDown) {
        this.dataDown = dataDown;
    }

    public String getOverStandard() {
        return overStandard;
    }

    public void setOverStandard(String overStandard) {
        this.overStandard = overStandard == null ? null : overStandard.trim();
    }

    public Date getDateS() {
        return dateS;
    }

    public void setDateS(Date dateS) {
        this.dateS = dateS;
    }

    @Override
    public String toString() {
        StringBuilder sb = new StringBuilder();
        sb.append(getClass().getSimpleName());
        sb.append(" [");
        sb.append("Hash = ").append(hashCode());
        sb.append(", no=").append(no);
        sb.append(", tabCol=").append(tabCol);
        sb.append(", colName=").append(colName);
        sb.append(", dataS=").append(dataS);
        sb.append(", dataUp=").append(dataUp);
        sb.append(", dataDown=").append(dataDown);
        sb.append(", overStandard=").append(overStandard);
        sb.append(", dateS=").append(dateS);
        sb.append(", serialVersionUID=").append(serialVersionUID);
        sb.append("]");
        return sb.toString();
    }
}